summaryrefslogtreecommitdiffstats
path: root/packaging/bundle-ebpf.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2020-07-13 07:25:18 -0400
committerGitHub <noreply@github.com>2020-07-13 07:25:18 -0400
commit690fbcefd3ae0cbc858870ad64d320f6f251e5fc (patch)
treec9be5ba7b2b8e60133ef2d1e423b0105d029313c /packaging/bundle-ebpf.sh
parent012130d592e3d732c6edcf275ee118c0dcd9fc3e (diff)
Properly include eBPF collector in binary packages. (#9450)
Diffstat (limited to 'packaging/bundle-ebpf.sh')
-rwxr-xr-xpackaging/bundle-ebpf.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/packaging/bundle-ebpf.sh b/packaging/bundle-ebpf.sh
new file mode 100755
index 0000000000..5792490878
--- /dev/null
+++ b/packaging/bundle-ebpf.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+SRCDIR="${1}"
+PLUGINDIR="${2}"
+
+EBPF_VERSION="$(cat "${SRCDIR}/packaging/ebpf.version")"
+EBPF_TARBALL="netdata-kernel-collector-glibc-${EBPF_VERSION}.tar.xz"
+
+mkdir -p "${SRCDIR}/tmp/ebpf"
+curl -sSL --connect-timeout 10 --retry 3 "https://github.com/netdata/kernel-collector/releases/download/${EBPF_VERSION}/${EBPF_TARBALL}" > "${EBPF_TARBALL}" || exit 1
+sha256sum -c --ignore-missing "${SRCDIR}/packaging/ebpf.checksums" || exit 1
+tar -xaf "${EBPF_TARBALL}" -C "${SRCDIR}/tmp/ebpf" || exit 1
+# shellcheck disable=SC2046
+cp -a $(find "${SRCDIR}/tmp/ebpf" -mindepth 1 -maxdepth 1) "${PLUGINDIR}"